## bzrtp 1.0.2

=== CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2014  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
############################################################################

cmake_minimum_required(VERSION 3.0)
project(BZRTP C)
set(BZRTP_VERSION 1.0.2)


option(ENABLE_STATIC "Build static library (default is shared library)." NO)
option(ENABLE_UNIT_TESTS "Enable compilation of unit tests." NO)


list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(MSVC_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/include/MSVC")
if(MSVC)
	list(APPEND CMAKE_REQUIRED_INCLUDES ${MSVC_INCLUDE_DIR})
endif()

include(CheckLibraryExists)
check_library_exists("m" "sqrt" "" HAVE_SQRT)
if(ENABLE_TESTS)
find_package(CUnit)
	if(CUNIT_FOUND)
		check_library_exists(${CUNIT_LIBRARIES} "CU_add_suite" "" HAVE_CU_ADD_SUITE)
		check_library_exists(${CUNIT_LIBRARIES} "CU_get_suite" "" HAVE_CU_GET_SUITE)
		check_library_exists(${CUNIT_LIBRARIES} "CU_curses_run_tests" "" HAVE_CU_CURSES)
	else()
		message(WARNING "Could not find cunit framework, tests will not be compiled.")
		set(ENABLE_TESTS OFF CACHE BOOL "Enable compilation of tests" FORCE)
	endif()
endif()
find_package(PolarSSL REQUIRED)
find_package(XML2)

if(XML2_FOUND)
	set(HAVE_LIBXML2 1)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/config.h PROPERTIES GENERATED ON)
add_definitions("-DHAVE_CONFIG_H")


include_directories(
	include
	${CMAKE_CURRENT_BINARY_DIR}
	${POLARSSL_INCLUDE_DIRS}
)

set(LIBS ${POLARSSL_LIBRARIES})
if(CUNIT_FOUND)
	include_directories(${CUNIT_INCLUDE_DIRS})
	list(APPEND LIBS ${CUNIT_LIBRARIES})
endif()
if(XML2_FOUND)
	include_directories(${XML2_INCLUDE_DIRS})
	list(APPEND LIBS ${XML2_LIBRARIES})
endif()
if(MSVC)
	include_directories(${MSVC_INCLUDE_DIR})
endif()


add_subdirectory(include)
add_subdirectory(src)
if(ENABLE_TESTS)
	enable_testing()
	add_subdirectory(test)
endif()


include(CMakePackageConfigHelpers)
write_basic_package_version_file(
	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfigVersion.cmake"
	VERSION ${BZRTP_VERSION}
	COMPATIBILITY AnyNewerVersion
)
export(EXPORT BZRTPTargets
	FILE "${CMAKE_CURRENT_BINARY_DIR}/BZRTPTargets.cmake"
	NAMESPACE BelledonneCommunications::
)
configure_file(cmake/BZRTPConfig.cmake
	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfig.cmake"
	COPYONLY
)

set(ConfigPackageLocation lib/cmake/BZRTP)
install(EXPORT BZRTPTargets
	FILE BZRTPTargets.cmake
	NAMESPACE BelledonneCommunications::
	DESTINATION ${ConfigPackageLocation}
)
install(FILES
	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfig.cmake"
	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfigVersion.cmake"
	DESTINATION ${ConfigPackageLocation}
)

=== include/CMakeLists.txt ===
file(GLOB HEADER_FILES "bzrtp/*.h")

install(FILES ${HEADER_FILES}
        DESTINATION include/bzrtp
        PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)

=== src/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2014  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
############################################################################

set(SOURCE_FILES
	bzrtp.c
	cryptoPolarssl.c
	cryptoUtils.c
	packetParser.c
	pgpwords.c
	stateMachine.c
	zidCache.c
)

if(ENABLE_STATIC)
	add_library(bzrtp STATIC ${SOURCE_FILES})
	target_link_libraries(bzrtp ${LIBS})
else()
	add_library(bzrtp SHARED ${SOURCE_FILES})
	set_target_properties(bzrtp PROPERTIES VERSION 0)
	target_link_libraries(bzrtp ${LIBS})
	if(MSVC)
		if(CMAKE_BUILD_TYPE STREQUAL "Debug")
			install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Debug/bzrtp.pdb
				DESTINATION bin
				PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
			)
		endif()
	endif()
endif()

install(TARGETS bzrtp EXPORT BZRTPTargets
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== test/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2014  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
############################################################################

set(TEST_SOURCES
	bzrtpCryptoTest.c
	bzrtpParserTest.c
	bzrtpTest.c
	testUtils.c

	${CMAKE_SOURCE_DIR}/src/bzrtp.c
	${CMAKE_SOURCE_DIR}/src/cryptoPolarssl.c
	${CMAKE_SOURCE_DIR}/src/cryptoUtils.c
	${CMAKE_SOURCE_DIR}/src/packetParser.c
	${CMAKE_SOURCE_DIR}/src/pgpwords.c
	${CMAKE_SOURCE_DIR}/src/stateMachine.c
	${CMAKE_SOURCE_DIR}/src/zidCache.c
)

add_executable(bzrtpTest ${TEST_SOURCES})
set_target_properties(bzrtpTest PROPERTIES LINK_FLAGS "${LINK_FLAGS}")
if("${CMAKE_VERSION}" VERSION_GREATER "2.8.10")
	target_include_directories(bzrtpTest PUBLIC ${CUNIT_INCLUDE_DIR})
else()
	include_directories(${CUNIT_INCLUDE_DIR})
endif()
target_link_libraries(bzrtpTest ${CUNIT_LIBRARIES} bzrtp)
if(HAVE_SQRT)
	target_link_libraries(bzrtpTest m)
endif()
add_test(NAME bzrtpTest COMMAND bzrtpTest)

=== debian/changelog ===
bzrtp (1.0.2-1.2build0.16.04.1) xenial-security; urgency=medium

  * fake sync from Debian

 -- Mike Salvatore <mike.salvatore@canonical.com>  Wed, 23 Jan 2019 09:56:31 -0500

bzrtp (1.0.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2016-6271 (Closes: #859277)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 04 Jun 2017 18:24:14 +0200

bzrtp (1.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for linking against mbedTLS. (Closes: #808066)
  * Pass -Wl,--as-needed when building to avoid useless dependencies on
    libmbedtls and libmbedx509.

 -- James Cowgill <james410@cowgill.org.uk>  Thu, 31 Dec 2015 18:36:30 +0000

bzrtp (1.0.2-1) unstable; urgency=medium

  [ Felix Lechner ]
  * Initial release (Closes: #785461)

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 21 Jun 2015 08:01:29 +0300

=== debian/control ===
Source: bzrtp
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Kilian Krause <kilian@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
Build-Depends:
 debhelper (>= 9),
 autotools-dev,
 dh-autoreconf,
 pkg-config,
 libmbedtls-dev,
 libxml2-dev,
 libcunit1-ncurses-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.linphone.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-voip/bzrtp/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/bzrtp/

Package: libbzrtp0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Library for the ZRTP key exchange protocol
 Bzrtp is an open source implementation of the ZRTP key exchange protocol. 
 The library is written in C 89. It is fully portable and can be executed 
 on many platforms including ARM and x86.
 .
 The library enables encrypted communications in Linphone.

Package: libbzrtp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libbzrtp0 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for the Bzrtp key exchange library
 Bzrtp is an open source implementation of the ZRTP key exchange protocol. 
 The library is written in C 89. It is fully portable and can be executed 
 on many platforms including ARM and x86. 
 .
 This package contains the development files.

Package: libbzrtp0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 libbzrtp0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debug symbols for the Bzrtp key exchange library
 Bzrtp is an open source implementation of the ZRTP key exchange protocol. 
 The library is written in C 89. It is fully portable and can be executed 
 on many platforms including ARM and x86. 
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment this to change the hardening options
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel \
		--with autotools-dev --with autoreconf \
		--buildsystem=autoconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --enable-static

override_dh_strip:
	dh_strip -plibbzrtp0 --dbg-package=libbzrtp0-dbg

=== debian/watch ===
version=3

opts=\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bzrtp-$1\.tar\.gz/,\
  https://github.com/BelledonneCommunications/bzrtp/tags .*/v?(\d\S*)\.tar\.gz

## bzrtp 1.0.6

=== CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2014  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

cmake_minimum_required(VERSION 3.0)

project(bzrtp VERSION 1.0.6 LANGUAGES C CXX)


option(ENABLE_SHARED "Build shared library." YES)
option(ENABLE_STATIC "Build static library." YES)
option(ENABLE_ZIDCACHE "Turn on compilation of ZID cache, request sqlite" YES)
option(ENABLE_STRICT "Build with strict compile options." YES)
option(ENABLE_TESTS "Enable compilation of unit tests." NO)


if(NOT CMAKE_INSTALL_RPATH AND CMAKE_INSTALL_PREFIX)
	set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})
	message(STATUS "Setting install rpath to ${CMAKE_INSTALL_RPATH}")
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(MSVC_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/include/MSVC")
if(MSVC)
	list(APPEND CMAKE_REQUIRED_INCLUDES ${MSVC_INCLUDE_DIR})
endif()

include(GNUInstallDirs)
include(CheckLibraryExists)
check_library_exists("m" "sqrt" "" HAVE_SQRT)

if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
	set(BcToolbox_FIND_COMPONENTS tester)
	include("${EP_bctoolbox_CONFIG_DIR}/BcToolboxConfig.cmake")
else()
	find_package(BcToolbox 0.0.3 REQUIRED OPTIONAL_COMPONENTS tester)
endif()

if(ENABLE_ZIDCACHE)
	find_package(Sqlite3 REQUIRED)
	# Also check if we have libxml2, as we need it for migration purpose
	find_package(XML2)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/config.h PROPERTIES GENERATED ON)
add_definitions("-DHAVE_CONFIG_H")

set(STRICT_OPTIONS_CPP )
if(NOT MSVC)
	list(APPEND STRICT_OPTIONS_CPP "-Wall")
	if(CMAKE_C_COMPILER_ID STREQUAL "Clang")
		list(APPEND STRICT_OPTIONS_CPP "-Qunused-arguments")
	endif()
	if(ENABLE_STRICT)
		list(APPEND STRICT_OPTIONS_CPP "-Werror" "-Wextra" "-Wno-unused-parameter" "-Wno-missing-field-initializers")
	endif()
endif()
if(STRICT_OPTIONS_CPP)
	list(REMOVE_DUPLICATES STRICT_OPTIONS_CPP)
	string(REPLACE ";" " " STRICT_OPTIONS_CPP "${STRICT_OPTIONS_CPP}")
endif()

set(BZRTP_CPPFLAGS ${BCTOOLBOX_CPPFLAGS})
if(ENABLE_STATIC)
	list(APPEND BZRTP_CPPFLAGS "-DBZRTP_STATIC")
endif()
if(BZRTP_CPPFLAGS)
	list(REMOVE_DUPLICATES BZRTP_CPPFLAGS)
	add_definitions(${BZRTP_CPPFLAGS})
endif()

include_directories(
	include
	${CMAKE_CURRENT_BINARY_DIR}
)

if(MSVC)
	include_directories(${MSVC_INCLUDE_DIR})
endif()

if(ENABLE_ZIDCACHE)
	add_definitions("-DZIDCACHE_ENABLED")
	if(XML2_FOUND)
		add_definitions("-DHAVE_LIBXML2")
	endif()
endif()


if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
	set(EXPORT_TARGETS_NAME "LinphoneBuilder")
else()
	set(EXPORT_TARGETS_NAME "BZRTP")
endif()


add_subdirectory(include)
add_subdirectory(src)
if(ENABLE_TESTS AND BCTOOLBOX_TESTER_FOUND)
	enable_testing()
	add_subdirectory(test)
endif()


include(CMakePackageConfigHelpers)
write_basic_package_version_file(
	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfigVersion.cmake"
	VERSION ${PROJECT_VERSION}
	COMPATIBILITY AnyNewerVersion
)
export(EXPORT ${EXPORT_TARGETS_NAME}Targets
	FILE "${CMAKE_CURRENT_BINARY_DIR}/BZRTPTargets.cmake"
)
configure_file(cmake/BZRTPConfig.cmake.in
	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfig.cmake"
	@ONLY
)

set(CONFIG_PACKAGE_LOCATION "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/cmake")
install(EXPORT ${EXPORT_TARGETS_NAME}Targets
	FILE BZRTPTargets.cmake
	DESTINATION ${CONFIG_PACKAGE_LOCATION}
)
install(FILES
	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfig.cmake"
	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfigVersion.cmake"
	DESTINATION ${CONFIG_PACKAGE_LOCATION}
)


# CPack settings
set(CPACK_PACKAGE_NAME "bzrtp")
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
set(CPACK_SOURCE_IGNORE_FILES
        "^${CMAKE_BINARY_DIR}"
        "/\\\\..+"
)

include(CPack)

=== include/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2014  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

install(FILES bzrtp/bzrtp.h
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/bzrtp
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,40 +16,65 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 #
 ############################################################################
 
 set(SOURCE_FILES
 	bzrtp.c
-	cryptoPolarssl.c
 	cryptoUtils.c
 	packetParser.c
 	pgpwords.c
 	stateMachine.c
 	zidCache.c
 )
+if(POLARSSL_FOUND)
+	list(APPEND SOURCE_FILES cryptoPolarssl.c)
+elseif(MBEDTLS_FOUND)
+	list(APPEND SOURCE_FILES cryptoMbedtls.c)
+endif()
+
+bc_apply_compile_flags(SOURCE_FILES STRICT_OPTIONS_CPP)
+
+set(INCLUDE_DIRS ${BCTOOLBOX_CORE_INCLUDE_DIRS})
+set(LIBS ${BCTOOLBOX_CORE_LIBRARIES})
+if(SQLITE3_FOUND)
+	list(APPEND INCLUDE_DIRS ${SQLITE3_INCLUDE_DIRS})
+	list(APPEND LIBS ${SQLITE3_LIBRARIES})
+endif()
+if(XML2_FOUND)
+	list(APPEND INCLUDE_DIRS ${XML2_INCLUDE_DIRS})
+	list(APPEND LIBS ${XML2_LIBRARIES})
+endif()
 
 if(ENABLE_STATIC)
-	add_library(bzrtp STATIC ${SOURCE_FILES})
-	target_link_libraries(bzrtp ${LIBS})
-else()
+	add_library(bzrtp-static STATIC ${SOURCE_FILES})
+	set_target_properties(bzrtp-static PROPERTIES OUTPUT_NAME bzrtp)
+	target_include_directories(bzrtp-static PUBLIC ${INCLUDE_DIRS})
+	target_link_libraries(bzrtp-static INTERFACE ${LIBS})
+	install(TARGETS bzrtp-static EXPORT ${EXPORT_TARGETS_NAME}Targets
+		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+	)
+endif()
+if(ENABLE_SHARED)
 	add_library(bzrtp SHARED ${SOURCE_FILES})
+	target_compile_definitions(bzrtp PRIVATE "-DBZRTP_EXPORTS")
 	set_target_properties(bzrtp PROPERTIES VERSION 0)
-	target_link_libraries(bzrtp ${LIBS})
+	target_include_directories(bzrtp PUBLIC ${INCLUDE_DIRS})
+	target_link_libraries(bzrtp PRIVATE ${LIBS})
 	if(MSVC)
-		if(CMAKE_BUILD_TYPE STREQUAL "Debug")
-			install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Debug/bzrtp.pdb
-				DESTINATION bin
+		if(CMAKE_BUILD_TYPE STREQUAL "Debug" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
+			install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_BUILD_TYPE}/bzrtp.pdb
+				DESTINATION ${CMAKE_INSTALL_BINDIR}
 				PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
 			)
 		endif()
 	endif()
+	install(TARGETS bzrtp EXPORT ${EXPORT_TARGETS_NAME}Targets
+		RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
+		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+	)
 endif()
-
-install(TARGETS bzrtp EXPORT BZRTPTargets
-	RUNTIME DESTINATION bin
-	LIBRARY DESTINATION lib
-	ARCHIVE DESTINATION lib
-	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
-)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -16,34 +16,42 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 #
 ############################################################################
 
 set(TEST_SOURCES
 	bzrtpCryptoTest.c
 	bzrtpParserTest.c
+	bzrtpConfigsTest.c
+	bzrtpZidCacheTest.c
 	bzrtpTest.c
 	testUtils.c
+)
 
-	${CMAKE_SOURCE_DIR}/src/bzrtp.c
-	${CMAKE_SOURCE_DIR}/src/cryptoPolarssl.c
-	${CMAKE_SOURCE_DIR}/src/cryptoUtils.c
-	${CMAKE_SOURCE_DIR}/src/packetParser.c
-	${CMAKE_SOURCE_DIR}/src/pgpwords.c
-	${CMAKE_SOURCE_DIR}/src/stateMachine.c
-	${CMAKE_SOURCE_DIR}/src/zidCache.c
-)
+bc_apply_compile_flags(TEST_SOURCES STRICT_OPTIONS_CPP)
 
 add_executable(bzrtpTest ${TEST_SOURCES})
 set_target_properties(bzrtpTest PROPERTIES LINK_FLAGS "${LINK_FLAGS}")
-if("${CMAKE_VERSION}" VERSION_GREATER "2.8.10")
-	target_include_directories(bzrtpTest PUBLIC ${CUNIT_INCLUDE_DIR})
+set_target_properties(bzrtpTest PROPERTIES LINKER_LANGUAGE CXX)
+target_include_directories(bzrtpTest PUBLIC ${BCTOOLBOX_TESTER_INCLUDE_DIR})
+if(ENABLE_STATIC)
+	target_link_libraries(bzrtpTest bzrtp-static)
 else()
-	include_directories(${CUNIT_INCLUDE_DIR})
+	target_link_libraries(bzrtpTest bzrtp)
 endif()
-target_link_libraries(bzrtpTest ${CUNIT_LIBRARIES} bzrtp)
+target_link_libraries(bzrtpTest ${BCTOOLBOX_LIBRARIES})
+if(SQLITE3_FOUND)
+	target_include_directories(bzrtpTest PUBLIC ${SQLITE3_INCLUDE_DIRS})
+	target_link_libraries(bzrtpTest ${SQLITE3_LIBRARIES})
+if(XML2_FOUND)
+	target_link_libraries(bzrtpTest ${XML2_LIBRARIES})
+endif()
+endif()
 if(HAVE_SQRT)
 	target_link_libraries(bzrtpTest m)
 endif()
+
+unset(PATTERN_FILES_IN_TEST_DIR CACHE)
+
 add_test(NAME bzrtpTest COMMAND bzrtpTest)

=== debian/changelog ===
bzrtp (1.0.6-3) unstable; urgency=medium

  * Team upload.
  * Workaround FTBFS with GCC-8 (Closes: #897714)
  * Fix d/watch
  * Switch Vcs-* to salsa

 -- Bernhard Schmidt <berni@debian.org>  Sun, 22 Jul 2018 22:43:05 +0200

bzrtp (1.0.6-2) unstable; urgency=medium

  * Team upload.
  * Add libxml2-dev to dependencies of -dev package

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 16 Nov 2017 22:11:37 +0100

bzrtp (1.0.6-1) unstable; urgency=medium

  * Team upload.

  [ Daniel Gnoutcheff ]
  * New upstream release 1.0.5
  * Drop -dbg package in favor of automatic -dgbsym package.
  * Update standards-version to 3.8.9 (no changes needed).
  * Point Vcs-* to git packaging repo
  * add new build dependency on libbctoolbox-dev

  [ Johannes Schauer ]
  * Switch from autotools to CMake
  * Replace build-deps autotools-dev, dh-autoreconf with cmake (>= 3)
  * debian/rules: Use hardening=+all
  * bump debhelper compatibility level to 10
  * run wrap-and-sort -abt

  [ Jonas Smedegaard ]
  * Tidy copyright info: Wrap license section at 72 chars.
  * Update copyright info: Relabel license derived from BSD-3-Clause.
  * Tidy copyright info: Use license section.
  * Update copyright info: Separate License grants and references
    from actual licenses.
  * Suppress arguably bogus lintian warning about shared license not
    written verbatim but instead referenced in machine-readable form
    (see bug#786450).
  * Add copyright-check helper tool.
  * Add copyright hints, to ease tracking later changes.

  [ Dr. Tobias Quathamer ]
  * New upstream version 1.0.6
  * Refresh patches
  * Use HTTPS URLs
  * Fix typo in Vcs-Git
  * Use version 4 for d/watch
  * Use dh_strip --dbgsym-migration for the obsolete debug package
  * Update Standards-Version to 4.1.1
  * Add libsqlite3-dev to Build-Depends
  * Update symbols file
  * Remove unneeded lintian override for source package
  * Update debian/copyright
  * Update copyright hints file
  * Add NMUs to d/changelog

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 06 Nov 2017 20:45:11 +0100

=== debian/control ===
Source: bzrtp
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Kilian Krause <kilian@debian.org>,
           Tzafrir Cohen <tzafrir@debian.org>,
           Daniel Gnoutcheff <daniel@gnoutcheff.name>,
Build-Depends: cmake (>= 3.0),
               debhelper (>= 10),
               libbctoolbox-dev,
               libsqlite3-dev,
               libxml2-dev,
Standards-Version: 4.1.1
Section: libs
Homepage: https://www.linphone.org/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/bzrtp.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/bzrtp

Package: libbzrtp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libbzrtp0 (= ${binary:Version}),
         libxml2-dev,
         ${misc:Depends},
Description: Development files for the Bzrtp key exchange library
 Bzrtp is an open source implementation of the ZRTP key exchange protocol.
 The library is written in C 89. It is fully portable and can be executed
 on many platforms including ARM and x86.
 .
 This package contains the development files.

Package: libbzrtp0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Library for the ZRTP key exchange protocol
 Bzrtp is an open source implementation of the ZRTP key exchange protocol.
 The library is written in C 89. It is fully portable and can be executed
 on many platforms including ARM and x86.
 .
 The library enables encrypted communications in Linphone.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Fix FTBFS with bzrtp 1.0.6 and GCC 8. The upstream fix currently
# does the same thing, see
# https://gitlab.linphone.org/BC/public/bzrtp/commit/e86b99fdc51c95f4d4997d7fdcfdfe0d1589ca92
export DEB_CFLAGS_MAINT_APPEND = -Wno-cast-function-type

%:
	dh $@ --buildsystem=cmake

# Upstream unconditionally sets CMAKE_INSTALL_RPATH. Make it ineffective by
# setting CMAKE_SKIP_RPATH
override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libbzrtp0-dbg (<< 1.0.6-1~)'

=== debian/watch ===
version=4

opts=\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bzrtp-$1\.tar\.gz/ \
  https://github.com/BelledonneCommunications/bzrtp/tags .*/v?(\d\S*)\.tar\.gz

## bzrtp 4.4.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 # CMakeLists.txt
-# Copyright (C) 2014  Belledonne Communications, Grenoble France
+# Copyright (C) 2010-2019  Belledonne Communications, Grenoble France
 #
 ############################################################################
 #
@@ -20,16 +20,17 @@
 #
 ############################################################################
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.1)
 
-project(bzrtp VERSION 1.0.6 LANGUAGES C CXX)
-
+project(bzrtp VERSION 4.4.0 LANGUAGES C CXX)
 
 option(ENABLE_SHARED "Build shared library." YES)
 option(ENABLE_STATIC "Build static library." YES)
 option(ENABLE_ZIDCACHE "Turn on compilation of ZID cache, request sqlite" YES)
 option(ENABLE_STRICT "Build with strict compile options." YES)
 option(ENABLE_TESTS "Enable compilation of unit tests." NO)
+option(ENABLE_EXPORTEDKEY_V1_0_RETROCOMPATIBILITY "Enable support for Limev1 with older version of bzrtp(before v1.06)" YES)
+option(ENABLE_PACKAGE_SOURCE "Create 'package_source' target for source archive making (CMake >= 3.11)" OFF)
 
 
 if(NOT CMAKE_INSTALL_RPATH AND CMAKE_INSTALL_PREFIX)
@@ -48,12 +49,7 @@
 include(CheckLibraryExists)
 check_library_exists("m" "sqrt" "" HAVE_SQRT)
 
-if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
-	set(BcToolbox_FIND_COMPONENTS tester)
-	include("${EP_bctoolbox_CONFIG_DIR}/BcToolboxConfig.cmake")
-else()
-	find_package(BcToolbox 0.0.3 REQUIRED OPTIONAL_COMPONENTS tester)
-endif()
+find_package(bctoolbox 0.0.3 REQUIRED OPTIONAL_COMPONENTS tester CONFIG)
 
 if(ENABLE_ZIDCACHE)
 	find_package(Sqlite3 REQUIRED)
@@ -68,7 +64,7 @@
 set(STRICT_OPTIONS_CPP )
 if(NOT MSVC)
 	list(APPEND STRICT_OPTIONS_CPP "-Wall")
-	if(CMAKE_C_COMPILER_ID STREQUAL "Clang")
+	if(CMAKE_C_COMPILER_ID MATCHES "Clang")
 		list(APPEND STRICT_OPTIONS_CPP "-Qunused-arguments")
 	endif()
 	if(ENABLE_STRICT)
@@ -105,56 +101,48 @@
 	endif()
 endif()
 
-
-if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
-	set(EXPORT_TARGETS_NAME "LinphoneBuilder")
-else()
-	set(EXPORT_TARGETS_NAME "BZRTP")
+if (ENABLE_EXPORTEDKEY_V1_0_RETROCOMPATIBILITY)
+	add_definitions("-DSUPPORT_EXPORTEDKEY_V010000")
 endif()
 
+set(EXPORT_TARGETS_NAME "bzrtp")
 
 add_subdirectory(include)
 add_subdirectory(src)
-if(ENABLE_TESTS AND BCTOOLBOX_TESTER_FOUND)
+if(ENABLE_TESTS)
 	enable_testing()
 	add_subdirectory(test)
 endif()
 
 
 include(CMakePackageConfigHelpers)
+set(CONFIG_PACKAGE_LOCATION "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/cmake")
+
 write_basic_package_version_file(
-	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfigVersion.cmake"
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}ConfigVersion.cmake"
 	VERSION ${PROJECT_VERSION}
 	COMPATIBILITY AnyNewerVersion
 )
 export(EXPORT ${EXPORT_TARGETS_NAME}Targets
-	FILE "${CMAKE_CURRENT_BINARY_DIR}/BZRTPTargets.cmake"
-)
-configure_file(cmake/BZRTPConfig.cmake.in
-	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfig.cmake"
-	@ONLY
+	FILE "${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}Targets.cmake"
 )
 
-set(CONFIG_PACKAGE_LOCATION "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/cmake")
+configure_package_config_file(cmake/BZRTPConfig.cmake.in
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}Config.cmake"
+	INSTALL_DESTINATION ${CONFIG_PACKAGE_LOCATION}
+	NO_SET_AND_CHECK_MACRO
+)
+
 install(EXPORT ${EXPORT_TARGETS_NAME}Targets
-	FILE BZRTPTargets.cmake
+	FILE ${EXPORT_TARGETS_NAME}Targets.cmake
 	DESTINATION ${CONFIG_PACKAGE_LOCATION}
 )
 install(FILES
-	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfig.cmake"
-	"${CMAKE_CURRENT_BINARY_DIR}/BZRTPConfigVersion.cmake"
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}Config.cmake"
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGETS_NAME}ConfigVersion.cmake"
 	DESTINATION ${CONFIG_PACKAGE_LOCATION}
 )
 
-
-# CPack settings
-set(CPACK_PACKAGE_NAME "bzrtp")
-set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
-set(CPACK_SOURCE_GENERATOR "TGZ")
-set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
-set(CPACK_SOURCE_IGNORE_FILES
-        "^${CMAKE_BINARY_DIR}"
-        "/\\\\..+"
-)
-
-include(CPack)
+if (ENABLE_PACKAGE_SOURCE)
+	add_subdirectory(build)
+endif()

=== build/CMakeLists.txt ===
############################################################################
# CMakeLists.txt
# Copyright (C) 2010-2019  Belledonne Communications, Grenoble France
#
############################################################################
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
############################################################################

cmake_minimum_required(VERSION 3.11) # we need CMake 3.11 for defining 'package_source' target as custom target

if(NOT CPACK_PACKAGE_NAME)
	set(CPACK_PACKAGE_NAME "bzrtp")
ENDIF()

set(CPACK_SOURCE_IGNORE_FILES
	"${CMAKE_BINARY_DIR}"
	"^${PROJECT_SOURCE_DIR}/.git*"
)

bc_make_package_source_target()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,11 @@
 	stateMachine.c
 	zidCache.c
 )
+
+add_definitions(
+	-DBCTBX_LOG_DOMAIN="bzrtp"
+)
+
 if(POLARSSL_FOUND)
 	list(APPEND SOURCE_FILES cryptoPolarssl.c)
 elseif(MBEDTLS_FOUND)
@@ -36,23 +41,27 @@
 
 bc_apply_compile_flags(SOURCE_FILES STRICT_OPTIONS_CPP)
 
-set(INCLUDE_DIRS ${BCTOOLBOX_CORE_INCLUDE_DIRS})
-set(LIBS ${BCTOOLBOX_CORE_LIBRARIES})
+set(INCLUDE_DIRS )
+set(LIBS )
+
 if(SQLITE3_FOUND)
 	list(APPEND INCLUDE_DIRS ${SQLITE3_INCLUDE_DIRS})
-	list(APPEND LIBS ${SQLITE3_LIBRARIES})
+	list(APPEND LIBS $<BUILD_INTERFACE:${SQLITE3_LIBRARIES}> $<INSTALL_INTERFACE:${SQLITE3_LIBRARIES}>)
 endif()
+
 if(XML2_FOUND)
 	list(APPEND INCLUDE_DIRS ${XML2_INCLUDE_DIRS})
-	list(APPEND LIBS ${XML2_LIBRARIES})
+	list(APPEND LIBS $<BUILD_INTERFACE:${XML2_LIBRARIES}>  $<INSTALL_INTERFACE:${XML2_LIBRARIES}>)
 endif()
 
 if(ENABLE_STATIC)
-	add_library(bzrtp-static STATIC ${SOURCE_FILES})
-	set_target_properties(bzrtp-static PROPERTIES OUTPUT_NAME bzrtp)
-	target_include_directories(bzrtp-static PUBLIC ${INCLUDE_DIRS})
-	target_link_libraries(bzrtp-static INTERFACE ${LIBS})
-	install(TARGETS bzrtp-static EXPORT ${EXPORT_TARGETS_NAME}Targets
+	add_library(bzrtp STATIC ${SOURCE_FILES})
+	set_target_properties(bzrtp PROPERTIES OUTPUT_NAME bzrtp)
+	target_include_directories(bzrtp INTERFACE
+		$<INSTALL_INTERFACE:include>
+		PRIVATE ${INCLUDE_DIRS})
+	target_link_libraries(bzrtp PUBLIC bctoolbox ${LIBS})
+	install(TARGETS bzrtp EXPORT ${EXPORT_TARGETS_NAME}Targets
 		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
 		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
 	)
@@ -61,8 +70,12 @@
 	add_library(bzrtp SHARED ${SOURCE_FILES})
 	target_compile_definitions(bzrtp PRIVATE "-DBZRTP_EXPORTS")
 	set_target_properties(bzrtp PROPERTIES VERSION 0)
-	target_include_directories(bzrtp PUBLIC ${INCLUDE_DIRS})
-	target_link_libraries(bzrtp PRIVATE ${LIBS})
+	target_include_directories(bzrtp INTERFACE
+		$<INSTALL_INTERFACE:include>
+		$<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+		PRIVATE ${INCLUDE_DIRS}
+	)
+	target_link_libraries(bzrtp PUBLIC bctoolbox ${LIBS})
 	if(MSVC)
 		if(CMAKE_BUILD_TYPE STREQUAL "Debug" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
 			install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_BUILD_TYPE}/bzrtp.pdb

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -29,29 +29,42 @@
 	testUtils.c
 )
 
+add_definitions(
+	-DBCTBX_LOG_DOMAIN="bzrtp"
+)
+
 bc_apply_compile_flags(TEST_SOURCES STRICT_OPTIONS_CPP)
 
 add_executable(bzrtpTest ${TEST_SOURCES})
 set_target_properties(bzrtpTest PROPERTIES LINK_FLAGS "${LINK_FLAGS}")
 set_target_properties(bzrtpTest PROPERTIES LINKER_LANGUAGE CXX)
-target_include_directories(bzrtpTest PUBLIC ${BCTOOLBOX_TESTER_INCLUDE_DIR})
+
+target_link_libraries(bzrtpTest PRIVATE bctoolbox bctoolbox-tester)
+
 if(ENABLE_STATIC)
-	target_link_libraries(bzrtpTest bzrtp-static)
+	target_link_libraries(bzrtpTest PRIVATE bzrtp)
 else()
-	target_link_libraries(bzrtpTest bzrtp)
+	target_link_libraries(bzrtpTest PRIVATE bzrtp)
 endif()
-target_link_libraries(bzrtpTest ${BCTOOLBOX_LIBRARIES})
 if(SQLITE3_FOUND)
-	target_include_directories(bzrtpTest PUBLIC ${SQLITE3_INCLUDE_DIRS})
-	target_link_libraries(bzrtpTest ${SQLITE3_LIBRARIES})
+	target_include_directories(bzrtpTest PRIVATE ${SQLITE3_INCLUDE_DIRS})
+	target_link_libraries(bzrtpTest PRIVATE ${SQLITE3_LIBRARIES})
+endif()
 if(XML2_FOUND)
-	target_link_libraries(bzrtpTest ${XML2_LIBRARIES})
+  	target_include_directories(bzrtpTest PRIVATE ${XML2_INCLUDE_DIRS})
+	target_link_libraries(bzrtpTest PRIVATE ${XML2_LIBRARIES})
 endif()
-endif()
+
 if(HAVE_SQRT)
-	target_link_libraries(bzrtpTest m)
+	target_link_libraries(bzrtpTest PRIVATE m)
 endif()
 
 unset(PATTERN_FILES_IN_TEST_DIR CACHE)
+find_file(PATTERN_FILES_IN_TEST_DIR
+       patternZIDAlice.sqlite ${CMAKE_CURRENT_BINARY_DIR}
+)
+if (NOT PATTERN_FILES_IN_TEST_DIR)
+       file(COPY patternZIDAlice.sqlite DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
+endif()
 
-add_test(NAME bzrtpTest COMMAND bzrtpTest)
+add_test(NAME bzrtpTest COMMAND bzrtpTest --resource-dir .)

=== debian/changelog ===
bzrtp (4.4.13-2) unstable; urgency=medium

  * Team upload.
  * Release to unstable.
  * Drop Daniel Gnoutcheff from Uploaders
  * Drop Marc Purcell from Uploaders
  * Add myself to uploaders

 -- Bernhard Schmidt <berni@debian.org>  Fri, 25 Dec 2020 17:04:16 +0100

bzrtp (4.4.13-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.4.13
  * Change Vcs-* to linphone-stack subgroup
  * Bump to debhelper-compat (= 12)
  * Drop obsolete no-upstream-changelog lintian overrides

 -- Bernhard Schmidt <berni@debian.org>  Mon, 07 Dec 2020 10:59:55 +0100

bzrtp (4.4.0-1) experimental; urgency=medium

  * New upstream version 4.4.0
  * Tighten build-dep on bctoolbox

 -- Bernhard Schmidt <berni@debian.org>  Tue, 01 Sep 2020 00:26:57 +0200

bzrtp (4.3.1-1) experimental; urgency=medium

  * Team upload.
  * d/watch: Switch to upstream primary Gitlab, only use releases
  * New upstream version 4.3.1
  * Bump to debhelper compat 11

 -- Bernhard Schmidt <berni@debian.org>  Tue, 02 Jun 2020 00:05:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: bzrtp
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>,
-           Kilian Krause <kilian@debian.org>,
+Uploaders: Kilian Krause <kilian@debian.org>,
            Tzafrir Cohen <tzafrir@debian.org>,
-           Daniel Gnoutcheff <daniel@gnoutcheff.name>,
+           Bernhard Schmidt <berni@debian.org>,
 Build-Depends: cmake (>= 3.0),
-               debhelper (>= 10),
-               libbctoolbox-dev,
+               debhelper-compat (= 12),
+               libbctoolbox-dev (>= 4.4.0~),
                libsqlite3-dev,
                libxml2-dev,
 Standards-Version: 4.1.1
 Section: libs
 Homepage: https://www.linphone.org/
-Vcs-Git: https://salsa.debian.org/pkg-voip-team/bzrtp.git
-Vcs-Browser: https://salsa.debian.org/pkg-voip-team/bzrtp
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/bzrtp.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/bzrtp
 
 Package: libbzrtp-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Upstream unconditionally sets CMAKE_INSTALL_RPATH. Make it ineffective by
 # setting CMAKE_SKIP_RPATH
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON
+	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DENABLE_STATIC=no
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='libbzrtp0-dbg (<< 1.0.6-1~)'

## bzrtp 5.1.64

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,16 +22,16 @@
 
 cmake_minimum_required(VERSION 3.1)
 
-project(bzrtp VERSION 4.4.0 LANGUAGES C CXX)
+project(bzrtp VERSION 5.1.0 LANGUAGES C CXX)
 
 option(ENABLE_SHARED "Build shared library." YES)
 option(ENABLE_STATIC "Build static library." YES)
 option(ENABLE_ZIDCACHE "Turn on compilation of ZID cache, request sqlite" YES)
 option(ENABLE_STRICT "Build with strict compile options." YES)
 option(ENABLE_TESTS "Enable compilation of unit tests." NO)
-option(ENABLE_EXPORTEDKEY_V1_0_RETROCOMPATIBILITY "Enable support for Limev1 with older version of bzrtp(before v1.06)" YES)
+option(ENABLE_DOC "Enable API documentation generation." NO)
+option(ENABLE_EXPORTEDKEY_V1_0_RETROCOMPATIBILITY "Enable support for Limev1 with older version of bzrtp(before v1.06)" NO)
 option(ENABLE_PACKAGE_SOURCE "Create 'package_source' target for source archive making (CMake >= 3.11)" OFF)
-
 
 if(NOT CMAKE_INSTALL_RPATH AND CMAKE_INSTALL_PREFIX)
 	set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})
@@ -143,6 +143,20 @@
 	DESTINATION ${CONFIG_PACKAGE_LOCATION}
 )
 
+if(ENABLE_DOC)
+	# Doxygen
+	find_package(Doxygen)
+	if (DOXYGEN_FOUND)
+		configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
+		add_custom_target(doc ALL
+			${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
+			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
+			COMMENT "Generating API documentation with Doxygen" VERBATIM)
+		install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/doc/html/"
+			DESTINATION "${CMAKE_INSTALL_DATADIR}/doc/bzrtp-${PROJECT_VERSION}")
+	endif()
+endif()
+
 if (ENABLE_PACKAGE_SOURCE)
 	add_subdirectory(build)
 endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -78,7 +78,7 @@
 	target_link_libraries(bzrtp PUBLIC bctoolbox ${LIBS})
 	if(MSVC)
 		if(CMAKE_BUILD_TYPE STREQUAL "Debug" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
-			install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_BUILD_TYPE}/bzrtp.pdb
+			install(FILES $<TARGET_PDB_FILE:bzrtp>
 				DESTINATION ${CMAKE_INSTALL_BINDIR}
 				PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
 			)

=== debian/changelog ===
bzrtp (5.1.64-2) unstable; urgency=medium

  * Release to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Sun, 27 Nov 2022 17:31:19 +0100

bzrtp (5.1.64-1) experimental; urgency=medium

  * New upstream release 5.1.64

 -- Dennis Filder <d.filder@web.de>  Wed, 05 Oct 2022 21:45:44 +0200

bzrtp (5.0.37-2) unstable; urgency=medium

  * Release to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Mon, 12 Sep 2022 09:15:08 +0200

bzrtp (5.0.37-1) experimental; urgency=medium

  [ Dennis Filder ]
  * New upstream version 5.0.37
  * Change to debhelper-compat 13

 -- Bernhard Schmidt <berni@debian.org>  Tue, 30 Nov 2021 19:13:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,25 @@
 Uploaders: Kilian Krause <kilian@debian.org>,
            Tzafrir Cohen <tzafrir@debian.org>,
            Bernhard Schmidt <berni@debian.org>,
-Build-Depends: cmake (>= 3.0),
-               debhelper-compat (= 12),
-               libbctoolbox-dev (>= 4.4.0~),
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               libbctoolbox-dev (>= 5.1.64~),
                libsqlite3-dev,
                libxml2-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.6.1
 Section: libs
+Rules-Requires-Root: no
 Homepage: https://www.linphone.org/
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/bzrtp.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/bzrtp
+Description: Library for the ZRTP key exchange protocol
 
 Package: libbzrtp-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libbzrtp0 (= ${binary:Version}),
+         libbctoolbox-dev (>= 5.1.64~),
          libxml2-dev,
          ${misc:Depends},
 Description: Development files for the Bzrtp key exchange library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

# Upstream unconditionally sets CMAKE_INSTALL_RPATH. Make it ineffective by
# setting CMAKE_SKIP_RPATH
override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DENABLE_STATIC=no \
		-DDEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM)

execute_after_dh_auto_install:
	echo 'Requires.private: bctoolbox >= $(DEB_VERSION_UPSTREAM)' \
		>> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libbzrtp.pc

# For fallback BC sometimes offers autoconf build systems.  As we
# don't use it we don't want it updated, otherwise dpkg-source nags.
override_dh_autotools_update_config:
override_dh_autoreconf:
